mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.IDisposable System.Runtime.InteropServices.ComVisible(true)

Resource writers are used to write resources to files in a particular file format. Implement this interface if you want to control the way in which a resource file is written (for example, to store resources in something other than a .txt, .resx, or binary .resources file). Otherwise, use the default class, which writes resources to a binary .resources file, or the class, which writes resources to an XML resource (.resx) file.

Provides the base functionality for writing resources to an output file or stream.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The resources are not written until the method is called.

  Adds an 8-bit unsigned integer array as a named resource to the list of resources to be written.

  Name of a resource. Value of a resource as an 8-bit unsigned integer array.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The resource is not written until the method is called.

  might have to be serializable, so you might have to provide a type converter, depending on which resource writer is used.

  Adds a named resource of type to the list of resources to be written.

  The name of the resource. The value of the resource.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The resource is not written until the method is called.

  Adds a named resource of type to the list of resources to be written.

  The name of the resource. The value of the resource.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  If necessary, will call the method to output the resources to the underlying file or stream before closing it.

  Closes the underlying resource file or stream, ensuring all the data has been written to the file.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  does not close the output file or output stream. Instead, consider calling the method. is useful when you want to create a resource file, but you don't want to close the output stream. can be called only once. After you call , all methods other than will throw an exception.

  Writes all the resources added by the method to the output file or stream.